services:
  dockge:
    container_name: dockge
    image: louislam/dockge:1
    environment:
      - DOCKGE_STACKS_DIR=/home/akanealw/docker
    networks:
      - reverse-proxy
    ports:
      - 5001:5001
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ${DOCKER_CONFIGS}/dockge/data:/app/data
      - /home/akanealw/docker:/home/akanealw/docker

  dozzle:
    container_name: dozzle
    image: amir20/dozzle:latest
    networks:
      - reverse-proxy
    ports:
      - 8080:8080
    restart: always
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro

networks:
  reverse-proxy:
    name: reverse-proxy
    external: true
